package com.lightinit.hsdataplatform.mapper;

import com.lightinit.hsdataplatform.entity.KeyWord;
import com.lightinit.hsdataplatform.entity.KeyWordExample;
import java.util.List;

import com.lightinit.hsdataplatform.model.admin.HotWordListModel;
import org.apache.ibatis.annotations.Param;

public interface KeyWordMapper {
    long countByExample(KeyWordExample example);

    int deleteByExample(KeyWordExample example);

    int deleteByPrimaryKey(Long id);

    int insert(KeyWord record);

    int insertSelective(KeyWord record);

    List<KeyWord> selectByExample(KeyWordExample example);

    KeyWord selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") KeyWord record, @Param("example") KeyWordExample example);

    int updateByExample(@Param("record") KeyWord record, @Param("example") KeyWordExample example);

    int updateByPrimaryKeySelective(KeyWord record);

    int updateByPrimaryKey(KeyWord record);

    List<HotWordListModel> queryList();
}